Package org.gradle.api

# Interface NamedDomainObjectCollectionSchema.NamedDomainObjectSchema

All Known Subinterfaces:
  `ExtensionsSchema.ExtensionSchema`

Enclosing interface:
  `NamedDomainObjectCollectionSchema`

public static interface NamedDomainObjectCollectionSchema.NamedDomainObjectSchema
Schema of a named domain object.

Since:
  4.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  The name of the domain object.
  `TypeOf<?>`
  `getPublicType()`
  The public type of the domain object.

- ## Method Details

  - ### getName

    String getName()
    The name of the domain object.

  - ### getPublicType

    TypeOf<?> getPublicType()
    The public type of the domain object.